diff --git a/xwiki-platform-core/xwiki-platform-web/src/main/webapp/resources/js/xwiki/widgets/modalPopup.css b/xwiki-platform-core/xwiki-platform-web/src/main/webapp/resources/js/xwiki/widgets/modalPopup.css
index 2e4b537..4a4cc31 100644
--- a/xwiki-platform-core/xwiki-platform-web/src/main/webapp/resources/js/xwiki/widgets/modalPopup.css
+++ b/xwiki-platform-core/xwiki-platform-web/src/main/webapp/resources/js/xwiki/widgets/modalPopup.css
@@ -63,17 +63,11 @@
   font-weight: bold;
   padding: .3em 1.2em .3em .8em;
   background-color: $theme.panelHeaderBackgroundColor;
-  #css3_backgroundLinearGradient({
-     'to': 'bottom',
-     'colors': [
-      {'color': $theme.panelHeaderGradientColor, 'position': '0%'},
-      {'color': $theme.panelHeaderBackgroundColor, 'position': '100%'}
-    ]
-  })
+  #css3_panelBackgroundLinearGradient()
   border-radius: 4px 4px 0 0;
   color: $theme.panelHeaderTextColor;
   text-shadow: 0 1px 0 $theme.panelHeaderGradientColor;
 }
 .xdialog-box .xform { 
   width: 100%;
-}
\ No newline at end of file
+}
diff --git a/xwiki-platform-core/xwiki-platform-web/src/main/webapp/resources/uicomponents/dashboard/dashboard.css b/xwiki-platform-core/xwiki-platform-web/src/main/webapp/resources/uicomponents/dashboard/dashboard.css
index f9c39b1..a1414e5 100644
--- a/xwiki-platform-core/xwiki-platform-web/src/main/webapp/resources/uicomponents/dashboard/dashboard.css
+++ b/xwiki-platform-core/xwiki-platform-web/src/main/webapp/resources/uicomponents/dashboard/dashboard.css
@@ -10,13 +10,7 @@
   text-align: left;
   text-transform: uppercase;
   background-color: $theme.panelHeaderBackgroundColor;
-  #css3_backgroundLinearGradient({
-     'to': 'top',
-     'colors': [
-      {'color': $theme.panelHeaderGradientColor, 'position': '0%'},
-      {'color': $theme.panelHeaderBackgroundColor, 'position': '100%'}
-    ]
-  })
+  #css3_panelBackgroundLinearGradient()
   border-radius: 4px 4px 0 0;
   border: 1px solid $theme.borderColor;
   color: $theme.panelHeaderTextColor;
diff --git a/xwiki-platform-core/xwiki-platform-web/src/main/webapp/templates/macros.vm b/xwiki-platform-core/xwiki-platform-web/src/main/webapp/templates/macros.vm
index 841320c..95d9c9b 100644
--- a/xwiki-platform-core/xwiki-platform-web/src/main/webapp/templates/macros.vm
+++ b/xwiki-platform-core/xwiki-platform-web/src/main/webapp/templates/macros.vm
@@ -2290,6 +2290,18 @@ Wysiwyg.onModuleLoad(function() {
 #macro (css3_backgroundLinearGradient $gradientData)
   #css3_backgroundIconAndLinearGradient ('' $gradientData)
 #end
+##
+##
+##
+#macro (css3_panelBackgroundLinearGradient)
+  #css3_backgroundLinearGradient({
+     'to': 'top',
+     'colors:' [
+      {'color': $theme.panelHeaderGradientColor, 'position': '0%'},
+      {'color': $theme.panelHeaderBackgroundColor, 'position': '100%'}
+    ]
+  })
+#end
 
 #**
  * Macro that displays a gradient specific to IE browsers (IE6-IE9)
